Subject: Re: problems with latest Cygwin 1.1
From: Carl Thompson <[email-masked]>
To: "Parker, Ron" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Mon, 05 Jun 2000 14:59:02 -0700

Thank you for your response.  Going through the list, I did find a link to
an updated version of gdb that solved the Insight source loading problem
(will this go into the main distribution soon?).

However, I did not find anything that addresses my main problem of "g++
-mno-cygwin" does not produce working executables.  This does not seem to be
an exception problem as using "-fno-exceptions" makes no difference and the
source uses no exceptions.  The whole test program I was compiling was
simply "main(){}" .  If I compile it with "-g" and use the working gdb on
it, it says the program is dying before main() in "_size_of_stack_reserve__"
.  Interestingly, if I run "cygcheck" against the executable it shows that
it is using "cygwin1.dll" even though I compiled with "-mno-cygwin" . 
Clearly there is something wrong with the compiler / linker when C++ and
"-mno-cygwin" are used.  I am running on Windows 2000.  Compiling C using
"gcc" works properly.  Also, Cygwin b20 worked.  Compiling without
"-mno-cygwin" works too.

Does anybody have an idea what my problem is?

Thank you,
Carl Thompson

"Parker, Ron" wrote:
> 
> > -----Original Message-----
> > From: Carl Thompson [mailto:[email-masked]]
> > Sent: Monday, June 05, 2000 12:43 AM
> > To: [email-masked]
> > Subject: problems with latest Cygwin 1.1
> >
> >
> > Hello,
> >
> >      I'm having problems using the latest Cygwin release (just
> > downloaded and installed today using today's setup.exe).  If I
> > compile any trivial C++ application with the "-mno-cygwin" option,
> > the compile apparently succeeds but when the application is run it
> > faults.  I am running on Windows 2000.  Using the C compiler to
> > generate executables works fine; just executables compiled using the
> > C++ compiler die.  I have used older versions (1.0) of Cygwin with
> > success.  My development project (the LGPLed FLTK cross platform
> > GUI toolkit) does not require the Cygwin DLL, however it does
> > require the Cygwin build enviroment.
> >
> >      Also, the Insight debugger supplied with the latest Cygwin
> > cannot seem to find / process source files on my system.  When I
> > start up the debugger with an executable compiled with the "-g"
> > flag, it pops up a dialog with a lot of error output apparently
> > related to loading the source file.  The program's source is not
> > displayed, nor does it seem to know the source files' names as
> > normal.  I've used a previous version on a previous version
> > of Cygwin with success.
> >
> >      Are the bugs known and is it known when they will be fixed?  I
> > would rather not go back to 1.0 because I have to heavily modify it
> > to use newer compilers and tools (takes a while).
> >
> >      Please CC me in any responses; I am not on the list.
> 
> I might suggest that you go to the mailing list archives and do a
> search.  Both of these topics have been abused to death on the list in
> the last month.  See http://sourceware.cygnus.com/ml/cygwin/ and
> http://www.delorie.com/archives/ for two different archive interfaces.
> 
> This thread addresses what might be causing your 'fault'.
> 
> http://www.delorie.com/archives/search.cgi?search=Exception+Handling+Broken&
> since=month&db=cygwin
> 
> And a search for 'gdb' will yeild enough reading material for the next
> month.
> 
> HTH

--
Want to unsubscribe from this list?
Send a message to [email-masked]